package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_status;
import com.realnet.vpspack.Services.Visa_statusService ;




@RequestMapping(value = "/Visa_status")
 @CrossOrigin("*") 
@RestController
public class Visa_statusController {
	@Autowired
	private Visa_statusService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Visa_status")
		  public Visa_status Savedata(@RequestBody Visa_status data) {
		Visa_status save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_status/{id}")
	public  Visa_status update(@RequestBody Visa_status data,@PathVariable Integer id ) {
		Visa_status update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_status/getall/page")
	public Page<Visa_status> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_status> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_status")
	public List<Visa_status> getdetails() {
		 List<Visa_status> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_status")
	public List<Visa_status> getallwioutsec() {
		 List<Visa_status> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_status/{id}")
	public  Visa_status  getdetailsbyId(@PathVariable Integer id ) {
		Visa_status  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_status/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}